Returns an array with the names of the functions of a module

- « get_defined_constants

- get_include_path »

- PHP Manual
- PHP Options/Info Functions
- Returns an array with the names of the functions of a module

# get_extension_funcs

(PHP 4, PHP 5, PHP 7, PHP 8)

get_extension_funcs — Returns an array with the names of the functions of a module

### Description

get_extension_funcs(string `$extension`): array|false

This function returns the names of all the functions defined in the module indicated by `extension`.

### Parameters

`extension`

  The module name.

  > Note:

  > This parameter must be in lowercase.

### Return Values

Returns an array with all the functions, or `false` if `extension` is not a valid extension.

### Examples

Example #1 Prints the XML functions

    <?phpprint_r(get_extension_funcs("xml"));?>

The above example will output something similar to:

    Array
    (
        [0] => xml_parser_create
        [1] => xml_parser_create_ns
        [2] => xml_set_object
        [3] => xml_set_element_handler
        [4] => xml_set_character_data_handler
        [5] => xml_set_processing_instruction_handler
        [6] => xml_set_default_handler
        [7] => xml_set_unparsed_entity_decl_handler
        [8] => xml_set_notation_decl_handler
        [9] => xml_set_external_entity_ref_handler
        [10] => xml_set_start_namespace_decl_handler
        [11] => xml_set_end_namespace_decl_handler
        [12] => xml_parse
        [13] => xml_parse_into_struct
        [14] => xml_get_error_code
        [15] => xml_error_string
        [16] => xml_get_current_line_number
        [17] => xml_get_current_column_number
        [18] => xml_get_current_byte_index
        [19] => xml_parser_free
        [20] => xml_parser_set_option
        [21] => xml_parser_get_option
    )

### See Also

- get_loaded_extensions() - Returns an array with the names of all modules compiled and loaded
- ReflectionExtension::getFunctions() - Gets extension functions